Bug 120193 - requires policy-sources?
requires policy-sources?
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: system-config-users (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
: SELinux
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-06 13:28 EDT by Bill Nottingham
Modified: 2014-03-16 22:43 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-07 15:05:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2004-04-06 13:28:26 EDT
This pulls in SELinux support on every upgrade, which might have some
interesting effects...
Comment 1 Daniel Walsh 2004-04-06 13:42:04 EDT
Ok we probably should remove it but we need the GUI to be smart enough
to know if SELinux is installed.

Dan
Comment 2 Aleksey Nogin 2004-04-06 16:11:43 EDT
In particular, it should never be the case that s-c-u is installed,
the policy package is installed, but policy-sources is not...
Comment 3 Brent Fox 2004-04-06 17:49:02 EDT
I've removed the Requires on policy-sources and setools.  Should be
fixed in system-config-users-1.2.11-3 in Rawhide.

I'll add the bits tomorrow to figure out if SELinux is installed and
whether it is enabled or disabled.
Comment 4 Brent Fox 2004-04-07 15:05:37 EDT
system-config-users-1.2.11-4 should disable the SELinux widgets if
policy-sources is not installed or if SELinux is not currently running.

Note You need to log in before you can comment on or make changes to this bug.